declare const _default: import("@subscan/widget-runtime").ImplementedRuntimeComponent<import("@sinclair/typebox").TObject<import("@sinclair/typebox").StaticProperties<{
    defaultValue: import("@sinclair/typebox").TNumber;
    min: import("@sinclair/typebox").TNumber;
    max: import("@sinclair/typebox").TNumber;
    step: import("@sinclair/typebox").TNumber;
    precision: import("@sinclair/typebox").TNumber;
    clampValueOnBlur: import("@sinclair/typebox").TBoolean;
    allowMouseWheel: import("@sinclair/typebox").TBoolean;
    size: import("@sinclair/typebox").TKeyOf<"sm" | "md" | "lg" | "xs">;
    customerIncrement: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TObject<import("@sinclair/typebox").StaticProperties<{
        bg: import("@sinclair/typebox").TString;
        children: import("@sinclair/typebox").TString;
        _active: import("@sinclair/typebox").TObject<import("@sinclair/typebox").StaticProperties<{
            bg: import("@sinclair/typebox").TString;
        }>>;
    }>>>;
    customerDecrement: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TObject<import("@sinclair/typebox").StaticProperties<{
        bg: import("@sinclair/typebox").TString;
        children: import("@sinclair/typebox").TString;
        _active: import("@sinclair/typebox").TObject<import("@sinclair/typebox").StaticProperties<{
            bg: import("@sinclair/typebox").TString;
        }>>;
    }>>>;
}>>, import("@sinclair/typebox").TObject<import("@sinclair/typebox").StaticProperties<{
    value: import("@sinclair/typebox").TNumber;
}>>, {
    setInputValue: import("@sinclair/typebox").TObject<import("@sinclair/typebox").StaticProperties<{
        value: import("@sinclair/typebox").TNumber;
    }>>;
    resetInputValue: undefined;
}, readonly "content"[], {}, readonly never[]>;
export default _default;
